﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using System.Net.Sockets;

namespace CAClient
{
    class Client
    {
        TcpClient connessioneAlServer;
        NetworkStream flussoAlServer;
        string nomeServer;
        string messaggio;
        const int porta = 22;

        static void Main(string[] args)
        {
            Client client = new Client("192.168.7.30");
            client.messaggio = "login:";            
            client.FaiPartireIlClient();
            Console.ReadLine();
        }

        public Client(string nomeServer)
        {
            this.nomeServer = nomeServer;
            Console.WriteLine("Mi sto connettendo al server...");
            connessioneAlServer = new TcpClient(nomeServer, porta);            
            flussoAlServer = connessioneAlServer.GetStream();
        }

        private void FaiPartireIlClient()
        {
            Console.WriteLine("Sto inviando il messaggio al server...");
            System.IO.StreamWriter scrittore = new System.IO.StreamWriter(flussoAlServer);
            scrittore.WriteLine(messaggio);
            scrittore.Flush();

            System.IO.StreamReader lettore = new System.IO.StreamReader(flussoAlServer);
            string risposta = lettore.ReadLine();
            Console.WriteLine("Ricevuto in risposta: {0}", risposta);

            flussoAlServer.Close();

        }
    }

    
}
