﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net.Sockets;
using System.Threading;

namespace CAServer
{
    class Program
    {
        TcpListener tcpListener;

        static void Main(string[] args)
        {
            Program server = new Program();
            server.FaiPartireIlServer();
        }

        public Program()
        {
            tcpListener = new TcpListener(22);
            tcpListener.Start();
        }

        private void FaiPartireIlServer()
        {
            Thread thread = new Thread(new ThreadStart(SoddisfaRichiesta));
            thread.Start();

            Console.WriteLine("Il server è pronto.\nPremere invio per arrestarlo.");
            Console.ReadLine();
            tcpListener.Stop();
            thread.Join();
        }

        private void SoddisfaRichiesta()
        {
            bool soddisfatta = false;
            int numeroByteRicevuti;
            string testoRicevuto;

            while (!soddisfatta)
            {

                // Aspettiamo una connessione client.
                

                Socket connessioneConIlClient = tcpListener.AcceptSocket();

                if (connessioneConIlClient.Connected)
                {
                    Console.WriteLine("Client connesso. IP del client: {0}", connessioneConIlClient.RemoteEndPoint.ToString());
                    byte[] dati = new byte[128];

                    numeroByteRicevuti = connessioneConIlClient.Receive(dati, dati.Length, 0);
                    testoRicevuto = System.Text.Encoding.ASCII.GetString(dati, 0, numeroByteRicevuti);

                    Console.WriteLine("Ho rivevuto {0} bytes dal client: {1}", numeroByteRicevuti, testoRicevuto);
                    connessioneConIlClient.Send(dati, numeroByteRicevuti, 0);
                    Console.WriteLine("Mi sconnetto dal client.");
                    connessioneConIlClient.Close();                    
                }
            }
        }
    }
}
